
internal = {};

function internal.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Combine, specializations);
end;

function internal:load(xmlFile)


	self.intCameraIndex = 1;
	self.cameraCount  = 2;

	self.internalCamera = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.internalCamera#index"));
	if self.camPositionX == nil then
		self.camPositionX = 0;
	end;

	if self.camPositionZ == nil then
		self.camPositionZ = 0;
	end;
end;
function internal:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)
	self.camPositionX = Utils.getNoNil(getXMLFloat(xmlFile, key.."#camPositionX"), 0);
	self.camPositionZ = Utils.getNoNil(getXMLFloat(xmlFile, key.."#camPositionZ"), 0);

	end;
function internal:delete()
    delete(self.burnerSoundId);
end;



function internal:getSaveAttributesAndNodes(nodeIdent)

end;


function internal:mouseEvent(posX, posY, isDown, isUp, button)
end;

function internal:keyEvent(unicode, sym, modifier, isDown)

end;

function internal:update(dt)
if self.isEntered then
		if InputBinding.isPressed(InputBinding.COMBINEMOVECAMLEFT) then
				self.camPositionX = self.camPositionX + 0.02;
				if self.camPositionX >= 0.4 then
					self.camPositionX = 0.4;
				end;


		end;

		if InputBinding.isPressed(InputBinding.COMBINEMOVECAMRIGHT) then
				self.camPositionX = self.camPositionX - 0.02;
				if self.camPositionX <= -0.4 then
					self.camPositionX = -0.4;
				end;

		end;

		if InputBinding.isPressed(InputBinding.COMBINEMOVECAMFORWARD) then
				self.camPositionZ = self.camPositionZ + 0.02;
				if self.camPositionZ >= 0.3 then
					self.camPositionZ = 0.3;
				end;

		end;

		if InputBinding.isPressed(InputBinding.COMBINEMOVECAMBACK) then
				self.camPositionZ = self.camPositionZ - 0.02;
				if self.camPositionZ <= -0.3 then
					self.camPositionZ = -0.3;
				end;

		end;

		if InputBinding.hasEvent(InputBinding.COMBINEMOVECAMRESET) then
				self.camPositionX = 0;
				self.camPositionZ = 0;
			end;
		end;


	if self.internalCamera ~= nil then
		setTranslation(self.internalCamera, self.camPositionX, 0, self.camPositionZ);
	end;


end;
function internal:onEnter()
	--self.currentCameraIndex = 1;
end;

function internal:startMotor()

end;
function internal:draw()

end;

